%global debug_package %{nil}
Name:       metadata-cleaner
Version:    2.5.4
Release:    1
Summary:    clean metadata in files
License:        GPLv3+
URL:            https://gitlab.com/rmnvgr/metadata-cleaner

Requires:       gtk4
Requires:       libadwaita
Requires:	mat2
Requires:	python3
BuildRequires:  meson
BuildRequires:  python3-gobject-devel
BuildRequires:  gtk4-devel
BuildRequires:  libadwaita-devel
BuildRequires:  git
BuildRequires:  python3-devel
BuildRequires:  mat2
BuildRequires:  itstool
BuildRequires:  python3-gobject-devel
BuildRequires:  desktop-file-utils
BuildRequires:	libappstream-glib
BuildRequires:	python3-mypy
BuildRequires:	python3-pycodestyle
BuildRequires:	python3-pydocstyle
BuildRequires:	reuse
BuildRequires:	glib2-devel
BuildRequires:	cmake

%description
Metadata within a file can tell a lot about you. Cameras record data about when and where a picture was taken and which camera was used. Office aplications automatically add author and company information to documents and spreadsheets. This is sensitive information and you may not want to disclose it.

%prep
cd %{_builddir}
git clone --recurse-submodules https://gitlab.com/rmnvgr/metadata-cleaner.git
cd metadata-cleaner
git checkout 558321c160dc29607de71249606c6bab15ae3e84

%build
cd metadata-cleaner
%meson
%meson_build

%install
cd metadata-cleaner
%meson_install

%files
   %{_datadir}/dbus-1/services/fr.romainvigier.MetadataCleaner.service
   %{_bindir}/metadata-cleaner
   %{_datadir}/applications/fr.romainvigier.MetadataCleaner.desktop
   %{_datadir}/glib-2.0/schemas/fr.romainvigier.MetadataCleaner.gschema.xml   
   %{_datadir}/help/*/fr.romainvigier.MetadataCleaner/*
   %{_datadir}/icons/hicolor/scalable/apps/fr.romainvigier.MetadataCleaner.svg
   %{_datadir}/icons/hicolor/symbolic/apps/fr.romainvigier.MetadataCleaner-symbolic.svg
   %{_datadir}/locale/*/*/fr.romainvigier.MetadataCleaner.mo
   %{_datadir}/metainfo/fr.romainvigier.MetadataCleaner.metainfo.xml
    %{_datadir}/metadata-cleaner/data/fr.romainvigier.MetadataCleaner.gresource
    %{_datadir}/metadata-cleaner/src/metadatacleaner/__init__.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/app.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/modules/__init__.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/modules/file.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/modules/filestore.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/modules/logger.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/modules/metadata.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/__init__.py
    #%{_datadir}/metadata-cleaner/src/metadatacleaner/ui/aboutdialog.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/addfilesbutton.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/badge.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/cleaningwarningdialog.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/cleanmetadatabutton.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/creditsrole.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/detailsview.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/emptyview.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/filechooserdialog.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/filerow.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/filesview.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/folderchooserdialog.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/menubutton.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/metadatadetails.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/metadatadetailsrow.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/metadataview.py
    #%{_datadir}/metadata-cleaner/src/metadatacleaner/ui/outbutton.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/settingsbutton.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/statusindicator.py
    %{_datadir}/metadata-cleaner/src/metadatacleaner/ui/window.py


%changelog

